Subject: [dnsext] [Editorial Errata Reported] RFC6944 (4083)

From: RFC Errata System <[email-masked]>
Date: Thu, 14 Aug 2014 08:51:25 -0700 (PDT)

The following errata report has been submitted for RFC6944,
"Applicability Statement: DNS Security (DNSSEC) DNSKEY Algorithm Implementation Status".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6944&eid=4083

--------------------------------------
Type: Editorial
Reported by: Bodo Moeller <[email-masked]>

Section: 5.1

Original Text
-------------
N/A

Corrected Text
--------------
[RFC6605]  P. Hoffman, P., and Wijngaards, W.C.A., "Elliptic Curve
    Digital Signature Algorithm (DSA) for DNSSEC", RFC 6605, 2012.

Notes
-----
This Normative Reference is simply missing from the document, even though the algorithms from RFC 6605 are "Recommended to Implement" in RFC 6944.  (Cf. how RFC 5933 is referenced, even though its algorithms are merely optional.)

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6944 (draft-ietf-dnsext-dnssec-algo-imp-status-04)
--------------------------------------
Title               : Applicability Statement: DNS Security (DNSSEC) DNSKEY Algorithm Implementation Status
Publication Date    : April 2013
Author(s)           : S. Rose
Category            : PROPOSED STANDARD
Source              : DNS Extensions
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Scott Rose <[email-masked]>
Date: Thu, 14 Aug 2014 12:47:17 -0400

I agree with adding the corrected text.

Scott Rose

---

From: Dave Lawrence <[email-masked]>
Date: Thu, 14 Aug 2014 13:06:39 -0400

> > Corrected Text

Looks like an erroneous double "P." there, and RFC convention would
seem to be with the last author's first initial preceding the family
name.  The same reference is as follows in RFC 6781:

   [RFC6605]  Hoffman, P. and W. Wijngaards, "Elliptic Curve Digital
              Signature Algorithm (DSA) for DNSSEC", RFC 6605,
              April 2012.

---

From: Ted Lemon <[email-masked]>
Date: Thu, 14 Aug 2014 13:29:13 -0400

>              Signature Algorithm (DSA) for DNSSEC", RFC 6605,

This error is harmless.

---

From: Megan Ferguson <[email-masked]>
Date: Thu, 14 Aug 2014 18:44:00 -0400

Dave,

Thanks for pointing this out.  We have updated the report to match the reference entry as it appears in the list at www.rfc-editor.org/in-notes/rfc-ref.txt.

You can see the corrected report at http://www.rfc-editor.org/errata_search.php?rfc=6944&eid=4083.

Thank you.

RFC Editor/mf